petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDASetGLLCoordinates

Sets the global coordinates from -1 to 1 to the GLL points of as many GLL elements that fit the number of grid points

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetGLLCoordinates(DM da,PetscInt n,PetscReal *nodes)

Collective on da

### Input Parameters

| da | - the DMDA object
| n | - the number of GLL nodes

nodes -the GLL nodes

### Notes

the parallel decomposition of grid points must correspond to the degree of the GLL. That is, the number of grid points on each process much be divisible by the number of GLL elements needed per process. This depends on whether the DM is periodic or not.

### See Also

DMDACreate(), PetscDTGaussLobattoLegendreQuadrature(), DMGetCoordinates()

### Level

advanced

### Location

src/dm/impls/da/da.c

### Examples

src/ksp/ksp/examples/tutorials/ex69.c.html

### Implementations

DMDASetGLLCoordinates_1d in src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages